'ソースコードの配布前に不要なファイルを削除するスクリプト
Public Class Clean

	Public Shared Sub Main()

		'exeファイルのあるフォルダーのパスを取得する
		Dim このフォルダー As String = My.Application.Info.DirectoryPath

		'掃除を実行するかどうか尋ねる
		Console.WriteLine(このフォルダー & "を掃除します。よろしいですか? (y/n)")
		Dim キー情報 As ConsoleKeyInfo = Console.ReadKey()
		Console.WriteLine()
		If キー情報.KeyChar <> "y"c Then
			Console.WriteLine("キャンセルされました。何かキーを押してください。")
			Console.ReadKey()
			Exit Sub
		End If
		Console.WriteLine("実行します。")

		'不要なフォルダーを削除する
		Dim カウンター as Integer = 0
		For Each s As String In IO.Directory.EnumerateDirectories(このフォルダー, "*", IO.SearchOption.AllDirectories)
			Select Case IO.Path.GetFileName(s).ToLower
				Case "bin", "obj", "debug", "release"
					Console.WriteLine(s)
					IO.Directory.Delete(s, True)
					カウンター += 1
			End Select
		Next
		Console.WriteLine(カウンター & "個のフォルダーを削除しました。")

		'不要なファイルを削除する
		カウンター = 0
		For Each s As String In IO.Directory.EnumerateFiles(このフォルダー, "*", IO.SearchOption.AllDirectories)
			Select Case IO.Path.GetFileName(s).ToLower
				Case "db.lock", "storage.ide"
					Console.WriteLine(s)
					IO.File.Delete(s)
					カウンター += 1
			End Select
		Next
		Console.WriteLine(カウンター & "個のファイルを削除しました。")

		'終了する
		Console.WriteLine("終了しました。何かキーを押してください。")
		Console.ReadKey()

	End Sub

End Class
